package com.hikcreate.update_hbase.schedule;

import com.hikcreate.update_hbase.service.VehicleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class VehSchedule {

    @Autowired
    private VehicleService vehicleService;

    /**
     * 机动车每天同步
     */
    @Scheduled(cron = "0 0 7 * * ?")
    public void vehDay(){
        try {
            vehicleService.vehDay();
        }catch (Exception e){
            e.printStackTrace();
        }
    }

}


